package ca.ualberta.proteus.db;

import ca.ualberta.proteus.program.ProteusImpl;

import java.util.List;

/**
 * (C) Zigtag Inc. 2007
 * <p/>
 * User: scott
 * Date: May 10, 2007
 * Time: 10:09:45 PM
 *
 * An implementation-neutral interface for a queue
 */
public interface AbstractPersistenceQueue
{
    List<ProteusImpl> recover();

    void addToQueue(ProteusImpl proteus);

    void addToQueue(List<ProteusImpl> proteusList);

    void remove(ProteusImpl proteus);

    /**
     * Clear the queue
     */
    void clear();
}
