package ca.ualberta.proteus.program.homodeller.test;

import junit.framework.TestCase;
import junit.framework.Test;
import junit.framework.TestSuite;
import ca.ualberta.proteus.program.homodeller.HomodellerUtils;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: Sep 18, 2006
 * Time: 8:21:10 PM
 * To change this template use File | Settings | File Templates.
 */
public class TestHomodellerUtils extends TestCase
{
     public static Test suite()
    {
        return new TestSuite(TestHomodellerUtils.class);
    }

    public static void main(String[] args)
    {
        try
        {
            new junit.textui.TestRunner().doRun(suite());
        }
        catch (Exception e)
        {
        }
    }

    public void testSequenceSimilarity()
    {
        String query1= "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~DACEQAAIQCVESACESLCTEGEDRTGCYMYIYSNCPPYV~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~";
        String query2= "AIEVKLANMEAEINTLKSKLELTNKLHAFSMGKKSGKKFFVTNHERMPFSKVKALCSELRGTVAIPRNAEENKAIQEVAKTSAFLGITDEVTEGQFMYVTGGRLTYSNWKKDQPDDWYGHGLGGGEDCVTIVDNGLWNDISCQASHTAVCEFPA";

        double ss1 = HomodellerUtils.getSequenceSimilarity(query1, query2);
        double ss2 = HomodellerUtils.getSequenceSimilarity(query2, query1);

        System.out.println("ss1 = " + ss1);
        System.out.println("ss2 = " + ss2);
    }
}
