package ca.ualberta.proteus.program.transsec;

import ca.ualberta.proteus.sequence.GappedStructureAnnotatedSequence;
import ca.ualberta.proteus.sequence.StructureAnnotatedSequence;
import org.biojava.bio.seq.Sequence;
import org.biojava.bio.symbol.Alignment;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: May 7, 2005
 * Time: 4:51:19 PM
 * To change this template use File | Settings | File Templates.
 */
public interface PSSMInterface
{    
    String toString();

    GappedStructureAnnotatedSequence getGappedQuerySequence();

    void update(Alignment alignment);

    void addSequence(StructureAnnotatedSequence sequence);

    void addQuerySequence(Sequence sequence);

    double get(int col, int row);

    int length();

    void saveToXML(Document doc, Element element);

    Sequence getQuerySequence();
}
