package ca.ualberta.proteus.program.transsec.test;

import ca.ualberta.proteus.program.transsec.Config;
import junit.framework.TestCase;

/**
 * (C) Zigtag Inc. 2007
 * <p/>
 * User: scott
 * Date: May 10, 2007
 * Time: 11:16:54 PM
 */
public class ConfigTest extends TestCase
{
    public void test1()
    {
        Config config = Config.getConfig();
        config.setStringValue("test", "${java.io.tmpdir}");

        String value = config.getStringValue("test");

        assertEquals(System.getProperty("java.io.tmpdir"), value);
    }

    public void test2()
    {
        Config config = Config.getConfig();
        String TEST_RESULT = "BLAHBLAJH";
        config.setStringValue("test", "BLAHBLAJH");
        config.setStringValue("test2", "${test}");

        String value = config.getStringValue("test2");
        assertEquals(TEST_RESULT, value);

        value = config.getStringValue("test");
        assertEquals(TEST_RESULT, value);
    }
}
