package ca.ualberta.proteus.web;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.biojava.bio.BioException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Arrays;
import java.util.Date;
import java.util.HashMap;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: Jul 4, 2006
 * Time: 10:36:37 PM
 * To change this template use File | Settings | File Templates.
 */
public class RerunAction extends Action
{
    public ActionForward execute(ActionMapping actionMapping, ActionForm actionForm,
                                 HttpServletRequest request, HttpServletResponse response) throws IOException, ClassNotFoundException
    {
        String ID = request.getParameter("ID");
        if ( ID.contains(";") ) // not sure why it's doing this but...
        {
            ID = ID.substring(0, ID.indexOf(';'));
        }

        System.out.println("Re-running " + ID);

        HashMap<Date,WebHitCounter.WebHit> hits = WebHitCounter.getInstance().getHits();
        Object[] dates = hits.keySet().toArray();
        Arrays.sort(dates);

        for (Object date : dates)
        {
            Date key = (Date) date;
            WebHitCounter.WebHit webHit = hits.get(key);

            if ( webHit.getID().equals(ID))
            {

                SubmitForm submitForm = new SubmitForm();
                submitForm.setEmailInput(webHit.getEmail());
                submitForm.setSequence(webHit.getSequence());


                try
                {
                    ProteusSubmitHandler.handleSubmission(request, submitForm );
                }
                catch (BioException e)
                {
                    e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
                }

                break;
            }
        }

        return actionMapping.findForward("success");                
    }
}
