package ca.ualberta.proteus.web.util;

import javax.servlet.http.HttpServletRequest;

/**
 * Created by IntelliJ IDEA.
 * User: Smontgomerie
 * Date: Oct 2, 2005
 * Time: 2:37:08 PM
 * To change this template use File | Settings | File Templates.
 */
public class UserAgent
{
    public static boolean is_nav(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);
        return (UserAgent.indexOf("mozilla")!=-1 && UserAgent.indexOf("spoofer")==-1 &&
                UserAgent.indexOf("compatible")==-1 && UserAgent.indexOf("opera")==-1 &&
                UserAgent.indexOf("webtv")==-1);
    }

    public static boolean is_nav6(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (is_nav(request) && UserAgent.indexOf("netscape6")!=-1);
    }

    public static boolean is_nav7(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (is_nav(request) && UserAgent.indexOf("netscape/7")!=-1);
    }

    public static boolean is_ie(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("msie")!=-1);
    }

    public static boolean is_safari(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("safari")!=-1);
    }

    public static boolean is_firefox(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("firefox")!=-1);
    }

    public static boolean is_win(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("win")!=-1 || UserAgent.indexOf("16bit")!=-1);
    }

    public static boolean is_win95(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("win95")!=-1 || UserAgent.indexOf("windows 95")!=-1);
    }

    public static boolean is_win98(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("win98")!=-1 || UserAgent.indexOf("windows 98")!=-1);
    }

    public static boolean is_winMe(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("win 9x 4.90")!=-1);
    }

    public static boolean is_win2k(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("windows nt 5.0")!=-1);
    }

    public static boolean is_winNT(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("winnt")!=-1 || UserAgent.indexOf("windows nt")!=-1);
    }

    public static boolean is_winXP(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("windows nt 5.1")!=-1);
    }

    public static boolean is_mac(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("mac")!=-1);
    }

    public static boolean is_macOS8(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("mac")!=-1);		// TBD: Check for OS8
    }

    public static boolean is_macOS9(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("mac")!=-1);		// TBD: Check for OS9
    }

    public static boolean is_macOSX(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("mac os x")!=-1);		// ST: Might not work with IE Mac OS X and older Safari browser
    }

    public static boolean is_linux(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("linux")!=-1);
    }

    public static boolean is_sunos(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("sunos")!=-1);
    }

    public static boolean is_unix(HttpServletRequest request)
    {
        String UserAgent = getLowerCaseUserAgent (request);

        return (UserAgent.indexOf("unix")!=-1 || UserAgent.indexOf("x11")!=-1);
    }

    public static String getUserAgent (HttpServletRequest request)
    {
        String userAgent = request.getHeader ("User-Agent");
        if (userAgent == null)
        {
            userAgent = "";
        }
        return userAgent;
    }

    private static String getLowerCaseUserAgent (HttpServletRequest request)
    {
        return getUserAgent(request).toLowerCase ();
    }

    public static boolean isBrowser(HttpServletRequest request)
    {
        return is_ie(request) || is_firefox(request) || is_safari(request) || is_mac(request)
                || is_linux(request) || is_win(request) || is_sunos(request);
    }

    // this is a bunch of QTW stuff that we don't need in SnapTax
    /*public static String getBrowserType (HttpServletRequest request)
	{
		if(is_ie(request)) {
			return ca.quicktax.util.XslKeys.BrowserTypeIE;
		}
		else if(is_nav6(request)) {
			return ca.quicktax.util.XslKeys.BrowserTypeNS6;
		}
		else if(is_nav(request)) {
			return ca.quicktax.util.XslKeys.BrowserTypeNS;
		}
		else {
			return ca.quicktax.util.XslKeys.BrowserTypeUnknown;
		}
	}

	public static String getBrowserMajorVersion (HttpServletRequest request)
	{
		RE re;
		String pattern = "";
	 	String ie_pattern = "MSIE ([0-9]+)\\.([0-9]+).*;";
	 	String ns_pattern = "Mozilla\\/([0-9]+)\\.([0-9]+).*";
	 	String ns6_pattern = "Netscape6\\/([0-9]+)\\.([0-9]+)";

		String major_ver = "0";		// To prevent NumberFormatExcpetion when Integer.parseInt is used on an unknown Major Version

		if(is_ie(request)) {
			pattern = ie_pattern;
		}
		else if(is_nav6(request)) {
			pattern = ns6_pattern;
		}
		else if(is_nav(request)) {
			pattern = ns_pattern;
		}
		else {
			major_ver = "0";
			return major_ver;
		}

		try {
			re = new RE(pattern, RE.MATCH_CASEINDEPENDENT);
		}
		catch (RESyntaxException e)
		{
			major_ver = "Syntax exception on " + pattern;
			return major_ver;
		}

		if(re.match(getUserAgent(request)) == true) {
			major_ver = re.getParen(1);
		}
		else {
			major_ver = "No match on " + pattern;
			return major_ver;
		}

		return major_ver;
	}

	public static String getBrowserMinorVersion (HttpServletRequest request)
	{
		RE re;
		String pattern = "";
	 	String ie_pattern = "MSIE ([0-9]+)\\.([0-9]+).*;";
	 	String ns_pattern = "Mozilla\\/([0-9]+)\\.([0-9]+).*";
	 	String ns6_pattern = "Netscape6\\/([0-9]+)\\.([0-9]+)";

		String minor_ver = "0";		// To prevent NumberFormatExcpetion when Integer.parseInt is used on an unknown Major Version

		if(is_ie(request)) {
			pattern = ie_pattern;
		}
		else if(is_nav6(request)) {
			pattern = ns6_pattern;
		}
		else if(is_nav(request)) {
			pattern = ns_pattern;
		}
		else {
			minor_ver = "0";
			return minor_ver;
		}

		try {
			re = new RE(pattern, RE.MATCH_CASEINDEPENDENT);
		}
		catch (RESyntaxException e)
		{
			minor_ver = "Syntax exception on " + pattern;
			return minor_ver;
		}

		if(re.match(getUserAgent(request)) == true) {
			minor_ver = re.getParen(2);
		}
		else {
			minor_ver = "No match on " + pattern;
			return minor_ver;
		}

		return minor_ver;
	}

	public static String getOS (HttpServletRequest request)
	{
		if(is_winMe(request)) {
			return ca.quicktax.util.XslKeys.OSWinMe;
		}
		else if(is_win95(request)) {
			return ca.quicktax.util.XslKeys.OSWin95;
		}
		else if(is_win98(request)) {
			return ca.quicktax.util.XslKeys.OSWin98;
		}
		else if(is_win2k(request)) {
			return ca.quicktax.util.XslKeys.OSWin2k;
		}
		else if(is_winXP(request)) {
			return ca.quicktax.util.XslKeys.OSWinXP;
		}
		else if(is_winNT(request)) {
			return ca.quicktax.util.XslKeys.OSWinNT;
		}
		else if(is_mac(request) && (is_ie(request) && Integer.parseInt(getBrowserMajorVersion(request))==5 && Integer.parseInt(getBrowserMinorVersion(request))>0)) {
			return ca.quicktax.util.XslKeys.OSMacOSX;	// ST: Detecting MacOSX is tricky because on the Mac, the OS name/version is not part of the User Agent.  We do it here by checking the browser's version number.  Assuming IE 5.1 or later never releases on MacOS prior to MacOSX, this should be accurate.
		}
		else if(is_mac(request) && (is_nav6(request) && Integer.parseInt(getBrowserMajorVersion(request))==6 && Integer.parseInt(getBrowserMinorVersion(request))>0)) {
			return ca.quicktax.util.XslKeys.OSMacOSX;	// ST: Detecting MacOSX is tricky because on the Mac, the OS name/version is not part of the User Agent.  We do it here by checking the browser's version number.  Assuming Netscape 6.1 or later never releases on MacOS prior to MacOSX, this should be accurate.
		}
		else if(is_mac(request)) {
			return ca.quicktax.util.XslKeys.OSMacOS;
		}
		else if(is_linux(request)) {
			return ca.quicktax.util.XslKeys.OSLinux;
		}
		else if(is_sunos(request)) {
			return ca.quicktax.util.XslKeys.OSSunOS;
		}
		else if(is_unix(request)) {
			return ca.quicktax.util.XslKeys.OSUnix;
		}
		else {
			return ca.quicktax.util.XslKeys.OSUnknown;
		}
	}

	public static String getPlatform (HttpServletRequest request)
	{
		if(is_win(request)) {
			return ca.quicktax.util.XslKeys.PlatformWin;
		}
		else if(is_mac(request)) {
			return ca.quicktax.util.XslKeys.PlatformMac;
		}
		else if(is_linux(request)) {
			return ca.quicktax.util.XslKeys.PlatformLinux;
		}
		else if(is_sunos(request) || is_unix(request)) {
			return ca.quicktax.util.XslKeys.PlatformUnix;
		}
		else {
			return ca.quicktax.util.XslKeys.PlatformUnknown;
		}
	}

    public static boolean isProblematicBrowser (HttpServletRequest request)
    {
        if(is_win(request)) {       // Windows
            if(is_nav(request)) {
                if(is_nav6(request)) {
                    char minorVer = getBrowserMinorVersion(request).charAt(0);
                    if(minorVer == '0' || minorVer == '1') {     // Netscape 6.0x and 6.1x
                        return true;
                    }
                }
                else if(Integer.parseInt((getBrowserMajorVersion(request))) == 4) {
                    return true;
                }
            }
            else if(is_ie(request)) {
                if(Integer.parseInt((getBrowserMajorVersion(request))) == 4) {      // IE 4.x
                    return true;
                }
            }
        }
        else if(is_mac(request)) {      // Macinstosh
            if(is_nav(request)) {
                if(is_nav6(request)) {
                    char minorVer = getBrowserMinorVersion(request).charAt(0);
                    if(minorVer == '0' || minorVer == '1') {     // Netscape 6.0x and 6.1x
                        return true;
                    }
                }
                else if(Integer.parseInt((getBrowserMajorVersion(request))) == 4) {
                    return true;
                }
            }
            else if(is_ie(request)) {       // Mac IE
                return true;
            }
        }
        return false;
    }

    public static String problematicBrowserName (HttpServletRequest request)
    {
        if(is_win(request)) {
            if(is_nav(request)) {
                if(is_nav6(request)) {
                    char minorVer = getBrowserMinorVersion(request).charAt(0);
                    if(minorVer == '0' || minorVer == '1') {     // Netscape 6.0x and 6.1x
                        return "Netscape 6." + getBrowserMinorVersion(request);
                    }
                }
                else if(Integer.parseInt((getBrowserMajorVersion(request))) == 4) {
                    return "Netscape 4." + getBrowserMinorVersion(request);
                }
            }
            else if(is_ie(request)) {
                if(Integer.parseInt((getBrowserMajorVersion(request))) == 4) {
                    return "Internet Explorer 4." + getBrowserMinorVersion(request);
                }
            }
        }
        else if(is_mac(request)) {      // Macinstosh
            if(is_nav(request)) {
                if(is_nav6(request)) {
                    char minorVer = getBrowserMinorVersion(request).charAt(0);
                    if(minorVer == '0' || minorVer == '1') {     // Netscape 6.0x and 6.1x
                        return "Netscape 6." + getBrowserMinorVersion(request);
                    }
                }
                else if(Integer.parseInt((getBrowserMajorVersion(request))) == 4) {
                    return "Netscape 4." + getBrowserMinorVersion(request);
                }
            }
            else if(is_ie(request)) {       // Mac IE
                return "Internet Explorer Macintosh";
            }
        }
        return null;
    }*/
    
}
