#!/usr/bin/perl

#$pdb{$num}->{$atom}->{x}
#$pdb{$num}->{res}
#$pdb{$num}->{chain}
#ATOM     12  O   GLN     2      24.911  29.191   5.289  1.00  9.27 

sub readpdb
{
  my $file=shift;
  @pdb=();
  open(infile,$file) || die "Can not open input file $file\n";
  @content=<infile>;
  close(infile);
  
  foreach $line(@content)
  {
   if($line=~/^ATOM/)
    {
      $atomchain=substr($line, 16,1); 
      if($atomchain == ' ' || $atomchain=='A'){
         $atom=substr($line,12,4);
         $atom=~s/\s+//g;
         $res=substr($line,17,3);
         $res=~s/\s+//g;
         $num=substr($line,22,8);
         $num=~s/\s+//g;
         $chain=substr($line,21,1);
         $x=substr($line,30,8);
         $x=~s/\s+//g;
         $y=substr($line,38,8);
         $y=~s/\s+//g;
         $z=substr($line,46,8);
         $z=~s/\s+//g;
         $pdb{$num}->{"res"}=$res;
	 $pdb{$num}->{"chain"}=$chain;
	 if($atom eq "CG" || $atom eq "CG1" ||$atom eq "SG" ||$atom eq "OG" || $atom eq "OG1")
	  { $atom="CG";
	   }
	 $pdb{$num}->{$atom}->{'x'}=$x;
	 $pdb{$num}->{$atom}->{'y'}=$y;
	 $pdb{$num}->{$atom}->{'z'}=$z;
      }
    }
  }
  
  return %pdb;
}
1;
