#ifndef __CREATE_CONSTRAINT_UTIL_H__
#define __CREATE_CONSTRAINT_UTIL_H__


#include "create_constraint.h"
#include "preditor_parser.h"

int is_phipsi_line(char *line);
//int store_pdb(char *file,CHAIN *ch_all, CHAIN* ch_hv, CHAIN *ch_bb, CHAIN *ch_ca, int num_of_chains);
char** store_pdb(char *file,CHAIN *ch_all, CHAIN* ch_hv, CHAIN *ch_bb, CHAIN *ch_ca, int num_of_chains, int* num_resds);
void create_angle_constraint_file(char* input, char* ac_file, int num_resds);
void create_distance_constraint_file(CHAIN *ch_hv, char* dc_file, int num_resds);

void store_phipsi_line(char *line, PHIPSI *pp);
int is_CA_atom(char *atom);
int is_bb_atom(char *atom);
int is_not_Hydrogen(char *atom);
int is_Q_atom(char *atom);
void store_pdbline(char *buffer, PDB* pdb);
char* get_pathname(char* full_pathname);
float get_distance(POINT *, POINT*);

void print_chain(CHAIN* ch);
void create_angle_constraint_file_from_preditor_output(ANGLE_INFO *head, char *ac_file);

#endif
