struct tratoms
{
	char iupacCode;
	char *bmrb;
	char *pdb;
	char *xplor;
	int hatomsIndex;
} tratoms[] =
	
{
{'A',"H","H","HN",-1},
{'A',"HA","HA","HA",-1},
{'A',"HB1","1HB","HB1",-1},
{'A',"HB2","2HB","HB2",-1},
{'A',"HB3","3HB","HB3",-1},
{'A',"C","C","C",-1},
{'A',"CA","CA","CA",-1},
{'A',"CB","CB","CB",-1},
{'A',"N","N","N",-1},
{'A',"O","O","O",-1},
{'R',"H","H","HN",-1},
{'R',"HA","HA","HA",-1},
{'R',"HB2","1HB","HB2",-1},
{'R',"HB3","2HB","HB1",-1},
{'R',"HG2","1HG","HG2",-1},
{'R',"HG3","2HG","HG1",-1},
{'R',"HD2","1HD","HD2",-1},
{'R',"HD3","2HD","HD1",-1},
{'R',"HE","HE","HE",-1},
{'R',"HH11","1HH1","HH11",-1},
{'R',"HH12","2HH1","HH12",-1},
{'R',"HH21","1HH2","HH21",-1},
{'R',"HH22","2HH2","HH22",-1},
{'R',"C","C","C",-1},
{'R',"CA","CA","CA",-1},
{'R',"CB","CB","CB",-1},
{'R',"CG","CG","CG",-1},
{'R',"CD","CD","CD",-1},
{'R',"CZ","CZ","CZ",-1},
{'R',"N","N","N",-1},
{'R',"NE","NE","NE",-1},
{'R',"NH1","NH1","NH1",-1},
{'R',"NH2","NH2","NH2",-1},
{'R',"O","O","O",-1},
{'D',"H","H","HN",-1},
{'D',"HA","HA","HA",-1},
{'D',"HB2","1HB","HB2",-1},
{'D',"HB3","2HB","HB1",-1},
{'D',"C", "C", "C",-1},
{'D',"CA","CA","CA",-1},
{'D',"CB","CB","CB",-1},
{'D',"CG","CG","CG",-1},
{'D',"N","N","N",-1},
{'D',"O","O","O",-1},
{'D',"OD1","OD1","OD1",-1},
{'D',"OD2","OD2","OD2",-1},
{'N',"H","H","HN",-1},
{'N',"HA","HA","HA",-1},
{'N',"HB2","1HB","HB2",-1},
{'N',"HB3","2HB","HB1",-1},
{'N',"HD21","2HD2","HD21",-1},
{'N',"HD22","1HD2","HD22",-1},
{'N',"C","C","C",-1},
{'N',"CA","CA","CA",-1},
{'N',"CB","CB","CB",-1},
{'N',"CG","CG","CG",-1},
{'N',"N","N","N",-1},
{'N',"ND2","ND2","ND2",-1},
{'N',"O","O","O",-1},
{'N',"OD1","OD1","OD1",-1},
{'C',"H","H","HN",-1},
{'C',"HA","HA","HA",-1},
{'C',"HB2","1HB","HB2",-1},
{'C',"HB3","2HB","HB1",-1},
{'C',"HG","HG","HG",-1},
{'C',"C","C","C",-1},
{'C',"CA","CA","CA",-1},
{'C',"CB","CB","CB",-1},
{'C',"N","N","N",-1},
{'C',"O","O","O",-1},
{'C',"SG","SG","SG",-1},
{'E',"H","H","HN",-1},
{'E',"HA","HA","HA",-1},
{'E',"HB2","1HB","HB2",-1},
{'E',"HB3","2HB","HB1",-1},
{'E',"HG2","1HG","HG2",-1},
{'E',"HG3","2HG","HG1",-1},
{'E',"C","C","C",-1},
{'E',"CA","CA","CA",-1},
{'E',"CB","CB","CB",-1},
{'E',"CG","CG","CG",-1},
{'E',"CD","CD","CD",-1},
{'E',"N","N","N",-1},
{'E',"O","O","O",-1},
{'E',"OE1","OE1","OE1",-1},
{'E',"OE2","OE2","OE2",-1},
{'Q',"H","H","HN",-1},
{'Q',"HA","HA","HA",-1},
{'Q',"HB2","1HB","HB2",-1},
{'Q',"HB3","2HB","HB1",-1},
{'Q',"HG2","1HG","HG2",-1},
{'Q',"HG3","2HG","HG1",-1},
{'Q',"HE21","2HE2","HE21",-1},
{'Q',"HE22","1HE2","HE22",-1},
{'Q',"C","C","C",-1},
{'Q',"CA","CA","CA",-1},
{'Q',"CB","CB","CB",-1},
{'Q',"CG","CG","CG",-1},
{'Q',"CD","CD","CD",-1},
{'Q',"N","N","N",-1},
{'Q',"NE2","NE2","NE2",-1},
{'Q',"O","O","O",-1},
{'Q',"OE1","OE1","OE1",-1},
{'G',"H","H","HN",-1},
{'G',"HA2","1HA","HA2",-1},
{'G',"HA3","2HA","HA1",-1},
{'G',"C","C","C",-1},
{'G',"CA","CA","CA",-1},
{'G',"N","N","N",-1},
{'G',"O","O","O",-1},
{'H',"H","H","HN",-1},
{'H',"HA","HA","HA",-1},
{'H',"HB2","1HB","HB2",-1},
{'H',"HB3","2HB","HB1",-1},
{'H',"HD1","HD1","HD1",-1},
{'H',"HD2","HD2","HD2",-1},
{'H',"HE1","HE1","HE1",-1},
{'H',"C","C","C",-1},
{'H',"CA","CA","CA",-1},
{'H',"CB","CB","CB",-1},
{'H',"CG","CG","CG",-1},
{'H',"CD2","CD2","CD2",-1},
{'H',"CE1","CE1","CE1",-1},
{'H',"N","N","N",-1},
{'H',"ND1","ND1","ND1",-1},
{'H',"NE2","NE2","NE2",-1},
{'H',"O","O","O",-1},
{'I',"H","H","HN",-1},
{'I',"HA","HA","HA",-1},
{'I',"HB","HB","HB",-1},
{'I',"HG12","1HG1","HG12",-1},
{'I',"HG13","2HG1","HG11",-1},
{'I',"HG21","1HG2","HG21",-1},
{'I',"HG22","2HG2","HG22",-1},
{'I',"HG23","3HG2","HG23",-1},
{'I',"HD11","1HD1","HD11",-1},
{'I',"HD12","2HD1","HD12",-1},
{'I',"HD13","3HD1","HD13",-1},
{'I',"C","C","C",-1},
{'I',"CA","CA","CA",-1},
{'I',"CB","CB","CB",-1},
{'I',"CG1","CG1","CG1",-1},
{'I',"CG2","CG2","CG2",-1},
{'I',"CD1","CD1","CD1",-1},
{'I',"N","N","N",-1},
{'I',"O","O","O",-1},
{'L',"H","H","HN",-1},
{'L',"HA","HA","HA",-1},
{'L',"HB2","1HB","HB2",-1},
{'L',"HB3","2HB","HB1",-1},
{'L',"HG","HG","HG",-1},
{'L',"HD11","1HD1","HD11",-1},
{'L',"HD12","2HD1","HD12",-1},
{'L',"HD13","3HD1","HD13",-1},
{'L',"HD21","1HD2","HD21",-1},
{'L',"HD22","2HD2","HD22",-1},
{'L',"HD23","3HD2","HD23",-1},
{'L',"C","C","C",-1},
{'L',"CA","CA","CA",-1},
{'L',"CB","CB","CB",-1},
{'L',"CG","CG","CG",-1},
{'L',"CD1","CD1","CD1",-1},
{'L',"CD2","CD2","CD2",-1},
{'L',"N","N","N",-1},
{'L',"O","O","O",-1},
{'K',"H","H","HN",-1},
{'K',"HA","HA","HA",-1},
{'K',"HB2","1HB","HB2",-1},
{'K',"HB3","2HB","HB1",-1},
{'K',"HG2","1HG","HG2",-1},
{'K',"HG3","2HG","HG1",-1},
{'K',"HD2","1HD","HD2",-1},
{'K',"HD3","2HD","HD1",-1},
{'K',"HE2","1HE","HE2",-1},
{'K',"HE3","2HE","HE1",-1},
{'K',"HZ1","1HZ","HZ1",-1},
{'K',"HZ2","2HZ","HZ2",-1},
{'K',"HZ3","3HZ","HZ3",-1},
{'K',"C","C","C",-1},
{'K',"CA","CA","CA",-1},
{'K',"CB","CB","CB",-1},
{'K',"CG","CG","CG",-1},
{'K',"CD","CD","CD",-1},
{'K',"CE","CE","CE",-1},
{'K',"N","N","N",-1},
{'K',"NZ","NZ","NZ",-1},
{'K',"O","O","O",-1},
{'M',"H","H","HN",-1},
{'M',"HA","HA","HA",-1},
{'M',"HB2","1HB","HB2",-1},
{'M',"HB3","2HB","HB1",-1},
{'M',"HG2","1HG","HG2",-1},
{'M',"HG3","2HG","HG1",-1},
{'M',"HE1","1HE","HE1",-1},
{'M',"HE2","2HE","HE2",-1},
{'M',"HE3","3HE","HE3",-1},
{'M',"C","C","C",-1},
{'M',"CA","CA","CA",-1},
{'M',"CB","CB","CB",-1},
{'M',"CG","CG","CG",-1},
{'M',"CE","CE","CE",-1},
{'M',"N","N","N",-1},
{'M',"O","O","O",-1},
{'M',"SD","SD","SD",-1},
{'F',"H","H","HN",-1},
{'F',"HA","HA","HA",-1},
{'F',"HB2","1HB","HB2",-1},
{'F',"HB3","2HB","HB1",-1},
{'F',"HD1","HD1","HD1",-1},
{'F',"HD2","HD2","HD2",-1},
{'F',"HE1","HE1","HE1",-1},
{'F',"HE2","HE2","HE2",-1},
{'F',"HZ","HZ","HZ",-1},
{'F',"C","C","C",-1},
{'F',"CA","CA","CA",-1},
{'F',"CB","CB","CB",-1},
{'F',"CG","CG","CG",-1},
{'F',"CD1","CD1","CD1",-1},
{'F',"CD2","CD2","CD2",-1},
{'F',"CE1","CE1","CE1",-1},
{'F',"CE2","CE2","CE2",-1},
{'F',"CZ","CZ","CZ",-1},
{'F',"N","N","N",-1},
{'F',"O","O","O",-1},
{'P',"H2","H2","HT2",-1},
{'P',"H3","H1","HT1",-1},
{'P',"HA","HA","HA",-1},
{'P',"HB2","1HB","HB2",-1},
{'P',"HB3","2HB","HB1",-1},
{'P',"HG2","1HG","HG2",-1},
{'P',"HG3","2HG","HG1",-1},
{'P',"HD2","1HD","HD2",-1},
{'P',"HD3","2HD","HD1",-1},
{'P',"C","C","C",-1},
{'P',"CA","CA","CA",-1},
{'P',"CB","CB","CB",-1},
{'P',"CG","CG","CG",-1},
{'P',"CD","CD","CD",-1},
{'P',"N","N","N",-1},
{'P',"O","O","O",-1},
{'S',"H","H","HN",-1},
{'S',"HA","HA","HA",-1},
{'S',"HB2","1HB","HB2",-1},
{'S',"HB3","2HB","HB1",-1},
{'S',"HG","HG","HG",-1},
{'S',"C","C","C",-1},
{'S',"CA","CA","CA",-1},
{'S',"CB","CB","CB",-1},
{'S',"N","N","N",-1},
{'S',"O","O","O",-1},
{'S',"OG","OG","OG",-1},
{'T',"H","H","HN",-1},
{'T',"HA","HA","HA",-1},
{'T',"HB","HB","HB",-1},
{'T',"HG1","HG1","HG1",-1},
{'T',"HG21","1HG2","HG21",-1},
{'T',"HG22","2HG2","HG22",-1},
{'T',"HG23","3HG2","HG23",-1},
{'T',"C","C","C",-1},
{'T',"CA","CA","CA",-1},
{'T',"CB","CB","CB",-1},
{'T',"CG2","CG2","CG2",-1},
{'T',"N","N","N",-1},
{'T',"O","O","O",-1},
{'T',"OG1","OG1","OG1",-1},
{'W',"H","H","HN",-1},
{'W',"HA","HA","HA",-1},
{'W',"HB2","1HB","HB2",-1},
{'W',"HB3","2HB","HB1",-1},
{'W',"HD1","HD1","HD1",-1},
{'W',"HE1","HE1","HE1",-1},
{'W',"HE3","HE3","HE3",-1},
{'W',"HZ2","HZ2","HZ2",-1},
{'W',"HZ3","HZ3","HZ3",-1},
{'W',"HH2","HH2","HH2",-1},
{'W',"C","C","C",-1},
{'W',"CA","CA","CA",-1},
{'W',"CB","CB","CB",-1},
{'W',"CG","CG","CG",-1},
{'W',"CD1","CD1","CD1",-1},
{'W',"CD2","CD2","CD2",-1},
{'W',"CE2","CE2","CE2",-1},
{'W',"CE3","CE3","CE3",-1},
{'W',"CZ2","CZ2","CZ2",-1},
{'W',"CZ3","CZ3","CZ3",-1},
{'W',"CH2","CH2","CH2",-1},
{'W',"N","N","N",-1},
{'W',"NE1","NE1","NE1",-1},
{'W',"O","O","O",-1},
{'Y',"H","H","HN",-1},
{'Y',"HA","HA","HA",-1},
{'Y',"HB2","1HB","HB2",-1},
{'Y',"HB3","2HB","HB1",-1},
{'Y',"HD1","HD1","HD1",-1},
{'Y',"HD2","HD2","HD2",-1},
{'Y',"HE1","HE1","HE1",-1},
{'Y',"HE2","HE2","HE2",-1},
{'Y',"HH","HH","HH",-1},
{'Y',"C","C","C",-1},
{'Y',"CA","CA","CA",-1},
{'Y',"CB","CB","CB",-1},
{'Y',"CG","CG","CG",-1},
{'Y',"CD1","CD1","CD1",-1},
{'Y',"CD2","CD2","CD2",-1},
{'Y',"CE1","CE1","CE1",-1},
{'Y',"CE2","CE2","CE2",-1},
{'Y',"CZ","CZ","CZ",-1},
{'Y',"N","N","N",-1},
{'Y',"O","O","O",-1},
{'Y',"OH","OH","OH",-1},
{'V',"H","H","HN",-1},
{'V',"HA","HA","HA",-1},
{'V',"HB","HB","HB",-1},
{'V',"HG11","1HG1","HG11",-1},
{'V',"HG12","2HG1","HG12",-1},
{'V',"HG13","3HG1","HG13",-1},
{'V',"HG21","1HG2","HG21",-1},
{'V',"HG22","2HG2","HG22",-1},
{'V',"HG23","3HG2","HG23",-1},
{'V',"C","C","C",-1},
{'V',"CA","CA","CA",-1},
{'V',"CB","CB","CB",-1},
{'V',"CG1","CG1","CG1",-1},
{'V',"CG2","CG2","CG2",-1},
{'V',"N","N","N",-1},
{'V',"O","O","O",-1}
};


#define NTRATOMS (sizeof(tratoms) / sizeof(struct tratoms))
