#ifndef MISC_H
#define MISC_H

//
// Author: Scott Montgomerie <Scott@linux>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//

#define MAX_COMMAND_LEN 1024

/*
	file: misc.h
	purpose: low level utility routines for shifty.
*/

void memory_error();
void show_err();
void show_msg(char* msg);
void show_err(int dieFlag, char *sModule, char *msg);
FILE *open_file(char *fileName, char* fileOp);

int fileExists(char* fileName);
void downloadPDBFile(char* fileName);
void assert(int assertion, char* msg);
void initDebug();
void writeDebug(char* msg);
void closeDebug();

#endif
