#ifndef VECTOR_H
#define VECTOR_H

struct vector {
	double x;
	double y;
	double z;
};

typedef struct vector VECTOR;

VECTOR diff(VECTOR m, VECTOR n);
VECTOR add(VECTOR m, VECTOR n);
VECTOR multiply(VECTOR m, float f);
VECTOR cross(VECTOR m, VECTOR n);
float norm(VECTOR m);
float dot(VECTOR m, VECTOR n);


#endif
