
/*
	file...: main.c
	purpose: main program for xalign 

	author.: Robert Boyko
	date...: Nov 21, 1995	
	place..: University of Alberta / Department of Biochemistry
*/

#include "../include/seqsee.h"
#include <stdlib.h>


/*************************************************************/
/* Generic routine to find the parameter file 
*/
FILE *check_parms_file(fname)
char *fname;
{
	int option;
	char aStr[MAX_LINE_LEN];
	FILE *fp;

	fp = fopen(fname, "r");

	while (fp == NULL) {

		fprintf(stdout, "\n Program cannot find the parameter file.");
		fprintf(stdout, "\n    1) I wish to enter a parameter file now.");
		fprintf(stdout, "\n    2) I wish to exit this program.");
		fprintf(stdout, "\n");
		fprintf(stdout, "\n>> ");
		fscanf(stdin, "%s", aStr);
		option = atoi(aStr);

		switch (option) {
			case 1:	
				fprintf(stdout, "\n Enter name of the parameters file: ");
				fscanf(stdin, "%s", fname);
				fp = fopen(fname, "r");
				break;

			case 2:
				exit(0);

			default:
				fprintf(stdout, "\n Error, illegal menu option.\n\n");
		}

	}

	return(fp);

}	/* check_parms_file */
