
/*
	file: i_misc.c
	misc routines for sequences (interactive mode)
*/

#include "../include/seqsee.h"

/* procedure calls */
extern void to_upper();


/*************************************************************/
/* prompt user with yes/no question. 
*/
int yes_no_query(msg)
char *msg;
{
	char str[MAX_LINE_LEN];

	do {

		fprintf(stdout, "\n");
		fprintf(stdout, msg);
		fprintf(stdout, PROG_PROMPT);
		fscanf(stdin, "%s", str);
		to_upper(str, str);

	} while ((*str != 'Y') && (*str != 'N'));

	if (*str == 'Y')
		return(TRUE);
	return(FALSE);

}	/* yes_no_query */
