package ca.ualberta.proteus.test;

import ca.ualberta.proteus.Setup;
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.StringReader;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: Aug 24, 2006
 * Time: 10:01:22 PM
 * To change this template use File | Settings | File Templates.
 */
public class SetupTest extends TestCase
{
    public void setUp() throws Exception
    {
        super.setUp();
    }

    public void tearDown() throws Exception
    {
        super.tearDown();
    }

    public static Test suite()
    {
        return new TestSuite(SetupTest.class);
    }

    public static void main(String[] args)
    {
        new junit.textui.TestRunner().doRun(suite());
    }

    public void testGoodSetup() throws IOException
    {
        StringBuilder str = new StringBuilder();
        str.append("/home/scott/proteus_web/data/filtnr");
        str.append('\n');

        str.append("/home/scott/proteus_web/data/nrPDB");
        str.append('\n');

        str.append("/home/scott/proteus_web/data/seqsee.db.gz");
        str.append('\n');

        BufferedReader input = new BufferedReader(new StringReader(str.toString()));

        boolean b = Setup.doSetup(input);

        assertTrue(b);
    }

    public void testGoodSetup2() throws IOException
    {
        StringBuilder str = new StringBuilder();
        str.append('\n');

        str.append("/home/scott/proteus_web/data/filtnr");
        str.append('\n');

        str.append("/home/scott/proteus_web/data/nrPDB");
        str.append('\n');

        str.append('\n');
        str.append("/home/scott/proteus_web/data/seqsee.db.gz");
        str.append('\n');

        BufferedReader input = new BufferedReader(new StringReader(str.toString()));

        boolean b = Setup.doSetup(input);

        assertTrue(b);
    }

    public void testBadSetup() throws IOException
    {
        StringBuilder str = new StringBuilder();
        str.append('\n');

        BufferedReader input = new BufferedReader(new StringReader(str.toString()));

        boolean b = Setup.doSetup(input);

        assertFalse(b);
    }
}
