package ca.ualberta.proteus.ui;

import javax.swing.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.FocusListener;
import java.awt.event.FocusEvent;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: Apr 9, 2006
 * Time: 12:50:26 PM
 * To change this template use File | Settings | File Templates.
 */
public class Main
{
    private JButton cancelButton;
    private JTextPane textPane1;
    private JButton okButton;
    private String text;
    private JPanel panel1;
    private JPanel mainPanel;

    public Main(String text)
    {
        this.setText( text );
        this.setData(this);
    }

    public static void main(String[] args)
    {
        final Main form = new Main("Hi this is a test");

        final JFrame frame = new JFrame("Test");
        frame.setContentPane(form.mainPanel);

        form.cancelButton.addActionListener( new ActionListener()
        {
            public void actionPerformed(ActionEvent e)
            {
                frame.dispose();
            }
        });

        form.okButton.addActionListener( new ActionListener()
        {
            public void actionPerformed(ActionEvent e)
            {
                System.out.println("OK - " + form.getText());
            }
        });

        form.textPane1.addFocusListener(new FocusListener()
        {
            public void focusGained(FocusEvent e)
            {
                System.out.println("Forcus gained");
            }

            public void focusLost(FocusEvent e)
            {
                System.out.println("Focus lost");

            }
        });


        frame.pack();
        frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        frame.setVisible(true);
    }

    public String getText()
    {
        return text;
    }

    public void setText(final String text)
    {
        this.text = text;
    }

    public void setData(Main data)
    {
        textPane1.setText(data.getText());
    }

    public void getData(Main data)
    {
        data.setText(textPane1.getText());
    }

    public boolean isModified(Main data)
    {
        if (textPane1.getText() != null ? !textPane1.getText().equals(data.getText()) : data.getText() != null)
            return true;
        return false;
    }
}
