package ca.ualberta.proteus.util;

import java.io.File;
import java.io.IOException;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.nio.channels.FileChannel;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: Feb 22, 2006
 * Time: 10:13:48 PM
 * To change this template use File | Settings | File Templates.
 */
public class FileUtils
{
    public static void copyFile(String source, String dest) throws IOException
    {
        copyFile(new File(source), new File(dest));
    }

    public static void copyFile(File source, File dest) throws IOException
    {
        FileChannel in = null, out = null;
        try
        {
            in = new FileInputStream(source).getChannel();
            out = new FileOutputStream(dest).getChannel();
            in.transferTo(0, in.size(), out);

        }
        finally
        {
            if (in != null) in.close();
            if (out != null) out.close();
        }
    }
}
