package ca.ualberta.proteus.util.db;

import ca.ualberta.proteus.sequence.ScoreAnnotatedSequence;
import ca.ualberta.proteus.sequence.StructureAnnotatedSequence;
import org.biojava.bio.seq.Sequence;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: Mar 26, 2006
 * Time: 12:21:04 PM
 * To change this template use File | Settings | File Templates.
 */
public interface PredictionDB
{
    boolean contains(Sequence sequence);

    boolean contains(Sequence sequence, String method);

    ScoreAnnotatedSequence get(Sequence sequence, String methodName) ;

    void add(Sequence querySequence, String methodName, ScoreAnnotatedSequence prediction);

    void remove(StructureAnnotatedSequence sequence, String methodName);
}
