package ca.ualberta.proteus.util.test;

import ca.ualberta.proteus.util.ProteusTools;
import junit.framework.TestCase;
import org.biojava.bio.symbol.AlphabetManager;
import org.biojava.bio.symbol.Alphabet;
import org.biojava.bio.symbol.SimpleSymbolList;
import org.biojava.bio.seq.io.SymbolTokenization;
import org.biojava.bio.BioException;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: Oct 9, 2006
 * Time: 11:44:35 AM
 * To change this template use File | Settings | File Templates.
 */
public class AlphabetTest extends TestCase
{
    public void testDavesAlphabet() throws BioException
    {
        ProteusTools.loadDavesAlphabet();

        Alphabet alphabet = AlphabetManager.alphabetForName("DAVES_STRUCTURE");

        // make sure original structure is there
        alphabet = AlphabetManager.alphabetForName("STRUCTURE");

        String annotation = "GSSA";

        SymbolTokenization a = AlphabetManager.alphabetForName("DAVES_STRUCTURE").getTokenization("token");
        new SimpleSymbolList(a, annotation.toLowerCase());
    }
}
