package ca.ualberta.proteus.util.test;

import ca.ualberta.proteus.program.transsec.Config;
import ca.ualberta.proteus.util.Consts;
import ca.ualberta.proteus.util.PDBFileLoader;
import ca.ualberta.proteus.util.ProteusStructureImpl;
import junit.framework.TestCase;
import org.biojava.bio.structure.io.PDBFileParser;
import org.biojava.bio.structure.Structure;

import java.io.File;
import java.io.InputStream;
import java.io.IOException;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: Jan 21, 2007
 * Time: 1:04:59 AM
 * To change this template use File | Settings | File Templates.
 */
public class TestStructure extends TestCase
{
    public void test1() throws IOException
    {
        Config config = Config.getConfig(Consts.HOMODELLER, "config/homodeller.xml");

        String pathname = config.getStringValue("pdb_dir");
        InputStream stream = PDBFileLoader.getPDBFile("1C0VA", new File[]{new File(pathname)});
        PDBFileParser parser = new PDBFileParser();

        
        Structure structure1 = parser.parsePDBFile(stream);

        System.out.println(structure1);

        System.out.println("*********   Copy: **********");

        ProteusStructureImpl structure = new ProteusStructureImpl(structure1);

        System.out.println(structure);
    }
}
