package ca.ualberta.proteus.web;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.config.ExceptionConfig;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.PrintWriter;
import java.io.StringWriter;

/**
 * Created by IntelliJ IDEA.
 * User: Smontgomerie
 * Date: Jun 19, 2005
 * Time: 11:27:03 PM
 * To change this template use File | Settings | File Templates.
 */
public class ExceptionHandler extends org.apache.struts.action.ExceptionHandler
{
    private static final Logger logger = Logger.getLogger(ExceptionHandler.class);

    public ActionForward execute(Exception e, ExceptionConfig exceptionConfig, ActionMapping actionMapping,
                                 ActionForm actionForm, HttpServletRequest request, HttpServletResponse response)
            throws ServletException
    {
        logger.error("Client generated exception", e);
        e.printStackTrace();

        request.setAttribute("message", e.getMessage());

        StringWriter out = new StringWriter();
        PrintWriter writer = new PrintWriter(out);
        e.printStackTrace(writer);
        request.setAttribute("trace", out.toString());

        response.setStatus(HttpServletResponse.SC_INTERNAL_SERVER_ERROR);

        if (request.getMethod().equals("GET"))
		{
			response.setHeader("Cache-Control", "no-cache");
			response.setHeader("Pragma", "no-cache");
			response.setHeader("Expires", "Mon, 06 May 1996 04:57:00 GMT");
		}

        return actionMapping.findForward("globalException");
    }
}
