package ca.ualberta.proteus.web;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.upload.FormFile;

import javax.servlet.http.HttpServletRequest;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: Aug 3, 2005
 * Time: 9:05:39 PM
 * To change this template use File | Settings | File Templates.
 */
public class SubmitForm extends ActionForm
{
    private transient FormFile file;
    private transient FormFile template3d;
    private transient boolean runEnergyMinimization = true;
    private transient boolean runHomodeller = false;
    private transient boolean runSecondaryStructure = true;
    private transient String templateID;
    private transient String method = "all";
    private transient String sequence;
    private transient String outputMethod = "web";
    private transient String organism = "";
    private transient String emailInput;

    public String getOrganism()
    {
        return organism;
    }

    public void setOrganism(String organism)
    {
        this.organism = organism;
    }

    public String getTemplateID()
    {
        return templateID;
    }

    public void setTemplateID(String templateID)
    {
        this.templateID = templateID;
    }

    public FormFile getFile()
    {
        if ( file == null)
        {
            if ( this.getMultipartRequestHandler() != null )
            {
                FormFile f = (FormFile) this.getMultipartRequestHandler().getFileElements().get("file");
                return f;
            }
        }

        return file;
    }

    public void setFile(FormFile file)
    {
        this.file = file;
    }

    public SubmitForm()
    {
    }

    public void reset(ActionMapping actionMapping, HttpServletRequest httpServletRequest)
    {
        file = null;
    }

    public FormFile getTemplate3d()
    {
        return template3d;
    }

    public void setTemplate3d(FormFile template3d)
    {
        this.template3d = template3d;
    }

    public boolean isRunEnergyMinimization()
    {
        return runEnergyMinimization;
    }

    public void setRunEnergyMinimization(boolean runEnergyMinimization)
    {
        this.runEnergyMinimization = runEnergyMinimization;
    }

    public String getMethod()
    {
        return method;
    }

    public void setMethod(String method)
    {
        this.method = method;
    }

    public String getSequence()
    {
        return sequence;
    }

    public void setSequence(String sequence)
    {
        this.sequence = sequence;
    }


    public String getOutputMethod()
    {
        return outputMethod;
    }

    public void setOutputMethod(String output)
    {
        this.outputMethod = output;
    }

    public String getEmailInput()
    {
        return emailInput;
    }

    public void setEmailInput(String emailInput)
    {
        this.emailInput = emailInput;
    }

    public boolean getRunHomodeller()
    {
        return runHomodeller;
    }

    public void setRunHomodeller(boolean runHomodeller)
    {
        this.runHomodeller = runHomodeller;
    }

    public boolean getRunSecondaryStructure()
    {
        return runSecondaryStructure;
    }

    public void setRunSecondaryStructure(boolean runSecondaryStructure)
    {
        this.runSecondaryStructure = runSecondaryStructure;
    }


}
