package ca.ualberta.proteus.web.test;

import junit.framework.TestCase;
import ca.ualberta.proteus.sequence.StructureAnnotatedSequence;
import ca.ualberta.proteus.sequence.ScoreAnnotatedSequence;
import ca.ualberta.proteus.web.ProteusFormatter;
import org.biojava.bio.symbol.IllegalSymbolException;
import org.biojava.bio.BioException;

import java.util.Arrays;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: Jan 27, 2008
 * Time: 12:37:43 PM
 * To change this template use File | Settings | File Templates.
 */
public class ProteusFormatterTest extends TestCase
{
    public void testFormatPrediction() throws BioException
    {
        String seq =    "VGQQYSSAPLRTVKEVQFGLFSPEEVRAISVAKIRFPETMDETQTRAKIGGLNDPRLGSIDRNLKCQTCQEGMNECPGHFGHIDLAKPVFHVGFIAKIKKVCECVCMHCGKLLLDEHNELMRQALAIKDSKKRFAAIWTLCKTKMVCETDVPSEDDPTQLVSRGGCGNTQPTIRKDGLKLVGSWKKDRATGDADEPELRVLS";
        String struct = "CCCCCCCCCCCCCEEEEEEEECHHHHHHHEEECCCCCCEEECCCCEEECCEEECCCCCCCCCCCCCCCCCCCCCCCCCEEEEEEECCEEEECCCHHHHHHHHHCCCCCCCCCCCCCCCHHHHHCCCCCCHHHHHHHHHHHHCCCEEECEEEEECCCCCEEEEECCCCEEEEEEEECCCEEEEEEEECCCCCCCCCCEEEEEC";

        char[] ch = new char[seq.length()];
        Arrays.fill(ch, '8');
        String score = new String(ch);

        ScoreAnnotatedSequence sequence = new ScoreAnnotatedSequence(seq, struct, "1I3QA", score);

        String s = ProteusFormatter.printFormattedSequencePlainText(sequence, false, false, true);

        System.out.println(s);
    }
}
