package ca.ualberta.proteus.web.util;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created by IntelliJ IDEA.
 * User: Smontgomerie
 * Date: Oct 2, 2005
 * Time: 2:36:28 PM
 * To change this template use File | Settings | File Templates.
 */
public class WebUtil
{
    public static void setupResponseForDownload(HttpServletRequest request,
                                                HttpServletResponse response,
                                                String filename)
    {
        if (UserAgent.is_ie(request) && UserAgent.is_win(request))			// IE Windows
        {
            response.setContentType("application/msdownload");
            response.addHeader("Content-Disposition","inline; filename="+filename);
        }
        else if ((UserAgent.is_nav(request) && !UserAgent.is_nav6(request)) && UserAgent.is_mac(request)) 	// Netscape 4 under Mac
        {
            response.setContentType("application/msdownload");
            response.addHeader("Content-Disposition","inline; filename="+filename);
        }
        else if (UserAgent.is_nav(request) && UserAgent.is_win(request))	// Netscape 4 & 6  under Windows
        {
            response.setContentType("application/octet-stream");
            response.addHeader("Content-Disposition","attachment; filename="+filename);
        }
        else
        {
            response.setContentType("application/octet-stream");
            response.addHeader("Content-Disposition","attachment; filename="+filename);
        }

        // **** Would like to force no cache here but IE requires it for downloading
        //response.setHeader ("Cache-Control", "no-cache");
        //response.setHeader ("Pragma", "no-cache");
        response.setHeader ("Expires", "Mon, 06 May 1996 04:57:00 GMT");
    }
}
