#ifndef __SFASSEMBLER_H__
#define __SFASSEMBLER_H__

#define RES_ID_NA -1000000
	// Value for a residue ID (i.e. residue number as it appears in the PDB
	// file) meaning "not applicable". This should be an impossible residue ID.

// Defaut angles to set when no other angle information is available.
#define SFA_DEFAULT_PHI   -100.0
#define SFA_DEFAULT_PSI    140.0
#define SFA_DEFAULT_OMEGA  180.0

#define PRINT_ALIGNMENT_RESIDUES_PER_LINE 80
#define PRINT_ALIGNMENT_LABEL_WIDTH 20

/*
 * Vector transformations for use on a set of 3-D points to put them
 * into a standard position. Used to translate and rotate a set of
 * atom coordinates into canonical form (excluding psi rotation).
 */
 /*
typedef struct CANONICAL_TRANSFORM {
	Vec3D translate; // Translation to origin.
	Vec3D rotate_z; // Rotation about z-axis.
	Vec3D rotate_y; // Rotation about y-axis.
	Vec3D rotate_x; // Rotation about x-axis.
} CANONICAL_TRANSFORM;
*/

#endif
