

/*
	Header file for phipsi 
*/

#include "stdvadar.h"
#include <stdio.h>

#define MODULE				"PHIPSI"
#define VERS				"0.9, July 1992"

#define MAX_ATOM_USED		4
#define SIZE_PHIPSI_ARRAY	3

#define NUM_ATM_USED		3
#define PHI					0
#define PSI					1
#define OMEGA				2
#define END					0
#define ATOM				1
#define X					0
#define Y					1
#define Z					2

/* define macros */

#define PLUS(a,b) (a+b) % 4
#define MINUS(a,b) (a-b) % 4

/* define structures */

typedef float VECTOR[3];

/* global variables */

extern ATOM_REC atoms[MAX_ATOM_USED];
extern int		res1, resn;
extern FILE		*outfp, *pdbfp;
extern char		expatm[NUM_ATM_USED][MAX_LINE_LEN];
extern int		allChains;
