
/*
	file: format.c
	purpose: read the format for an xalign data file
*/


#include "include/seqsee.h"
#include "include/xalign.h"

/* procedure calls */
static void show_xalign_format();


/*************************************************************/
/* inquire about the format of a data file
*/
int get_xalign_format()
{
	int format; 

	while (TRUE) {
		show_xalign_format(stdout, "xalign sequence datafile");
format = 1;
//		fscanf(stdin, "%d", &format);
		if (format == 0)
			return(0);
		else if (format == 1)
			return(SEQ_RBO);
		else if (format == 2)
			return(SEQ_PEP);
	}

}   /* get_xalign_format */


/*************************************************************/
/* print format menu 
*/
static void show_xalign_format(fp, msg)
FILE *fp;
char *msg;
{

	fprintf(fp, "\n");
	fprintf(fp, "\n What is the format of your %s:\n", msg);
	fprintf(fp, "\n    1) Text-based Format");
	fprintf(fp, "\n    2) PepTools Format");
	fprintf(fp, "\n    0) I am not ready, exit the program.");
	fprintf(fp, "\n");
	fprintf(fp, "\n Enter a number (then press return).\n ");
	fprintf(fp, PROG_PROMPT);

}	/* show_xalign_format */
